import "./App.css";
import {
  BrowserRouter as Router,
  Route,
  Routes,
  useNavigate,
} from "react-router-dom";
import { useEffect } from "react";
import { _Login } from "../src/pages/login";
import { _Seatlayout } from "../src/pages/seat-layout";
import { _Confirmation } from "../src/pages/confirmation";
import { AuthGuard } from "./auth/index";
import { _seatLimit } from "../src/pages/seat-limit";

function App() {
  // const navigate = useNavigate();
  // useEffect(() => {
  //   // Redirect to the "Example Page" when the page is reloaded
  //   navigate("/");
  // }, []);
  return (
    <div className="App">
      <Router>
        <Routes>
          <Route path="/" element={<_Login />} />
          <Route
            path="/seat-limit/:id"
            element={<AuthGuard component={_seatLimit} />}
          />
          <Route
            path="/booking/:id"
            element={<AuthGuard component={_Seatlayout} />}
          />
          <Route
            path="/confirmation"
            element={<AuthGuard component={_Confirmation} />}
          />
        </Routes>
      </Router>
    </div>
  );
}

export default App;
